.bg__signup {
    background: linear-gradient(#a1a1a1, #64897b);
    width: 100%;
    height: 100%;
    position: absolute;
    top: 0;
    left: 0;
    overflow-x: hidden;
}

.signup_ok {
    width: 350px;
    height: 100px;
    display: flex;
    justify-content: center;
    align-items: center;
    text-align: center;
    position: absolute;
    left: calc(50% - 175px);
    bottom: calc(50% - 50px);
    background-color: #fafafa;
    border-radius: 5px;
    box-shadow: 0 0 10px rgb(107, 107, 107);
}

.signup_ok span {
    cursor: pointer;
    text-decoration: underline;
    transition-duration: .2s;
}

.signup_ok span:hover {
    color: #697e76;
}

.signup {
    width: 350px;
    margin: 50px auto;
    padding: 50px 50px 40px 50px;
    background-color: #fafafa;
    border-radius: 5px;
    box-shadow: 0 0 10px rgb(107, 107, 107);
}

.signup > h1 {
    text-align: center;
    color: #2d5042;
    font-size: 2.2em;
}

.signup > h1 > span {
    color: rgb(103 103 135);
}

.signup > h2 {
    margin-bottom: 30px;
    text-align: center;
}

.signup__form {
    display: flex;
    flex-direction: column;
}

.signup__form > label {
    margin-bottom: 5px;
}

.signup__form > input {
    margin-bottom: 15px;
    padding: 10px;
    border-radius: 5px;
    border: 1px solid grey;
    transition-duration: .2s;
}

.signup__form > input:focus {
    outline: none;
    box-shadow: 0 0 5px #92afa4;
}

.signup__form > div {
    margin-bottom: 5px;
}

.signup__form > div > span {
    font-size: 0.7em;
    margin-left: 5px;
    color: grey;
}

.signup > div:last-child {
    display: flex;
    justify-content: space-between;
    align-items: center;
}

.signup > div:last-child > button {
    border: none;
    background-color: #7d978d;
    transition-duration: .2s;
    cursor: pointer;
    color: white;
    border-radius: 5px;
    padding: 10px 15px;
    display: flex;
    justify-content: center;
    align-items: center;
}

.signup > div:last-child > button:hover {
    background-color: #697e76;
}

.signup > div:last-child span {
    cursor: pointer;
    text-decoration: underline;
    transition-duration: .2s;
}

.signup > div:last-child > span:hover {
    color: #697e76;
}

.authError {
    display: flex;
    padding: 10px 20px;
    align-items: center;
    justify-content: space-between;
    border: 1px solid rgb(147 45 45);
    background-color: rgb(189 110 110 / 84%);
    color: white;
    margin-bottom: 20px;
}

.authError > p {
    padding-right: 20px;
}

.authError > svg {
    fill: white;
    font-size: 1.8em;
}

@media (max-width: 500px) {
    .signup {
        width: calc(90% - 50px);
        padding: 25px;
    }

    .signup > div:last-child {
        flex-direction: column-reverse;
    }

    .signup > div:last-child > button {
        margin: 15px;
    }
}